Restore normal bureaucrat permissions where changed without consensus
Closed, ResolvedPublic

Description

See URL: on some wikis the permissions given to bureaucrat group have been changed against consensus (by mistake, without it being requested) or no request (with associated consensus) has been found with all due diligence by several users who dug the archives.
On those wikis the default configuration should be restored.


Version: unspecified
Severity: normal
URL: https://meta.wikimedia.org/w/index.php?title=Bureaucrat&oldid=4550727#Removing_access

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz42105.
Nemo_bis created this task.Via LegacyNov 14 2012, 5:58 PM
Nemo_bis added a comment.Via ConduitNov 14 2012, 6:05 PM

Gerrit change 33390

Snowolf added a comment.Via ConduitNov 14 2012, 6:17 PM

Configuration changes, especially important ones, should be left to the communities pursuant to their policies and global policies. These changes indeed were not made with community agreement and hence should be reverted as Nemo asked.

Krenair added a comment.Via ConduitNov 14 2012, 8:51 PM

Have the communities (enwiktionary, fiwiki, nowikibooks, ruwikisource, sewikimedia) been asked whether or not they actually want the bureaucrats to keep these permission? They at least need to be notified about this first.
Sewikimedia is completely out of the question here, based on bug 14665.

Also, the shell user considering this request should take into account the bug creator's ideas on these rights (bureaucrat being able to remove bureaucrat/sysop) specifically - https://meta.wikimedia.org/wiki/Talk:Limits_to_configuration_changes#Disconnection_from_stewards_overseeing

Nemo_bis added a comment.Via ConduitNov 14 2012, 9:04 PM

(In reply to comment #3)

Have the communities (enwiktionary, fiwiki, nowikibooks, ruwikisource,
sewikimedia) been asked whether or not they actually want the bureaucrats to
keep these permission? They at least need to be notified about this first.

Notifications are good (thanks Dereckson). Please open separate bugs for each request to keep the non-default configuration, to reduce mess.

Sewikimedia is completely out of the question here, based on bug 14665.

I re-read the bug entirely and I don't see any request to change bureaucrat config. As it's a chapter wiki, anyway, it will be trivial for the board or president to confirm the need for it with another bug of course.

Also, the shell user considering this request should take into account the bug
creator's ideas

????

Krenair added a comment.Via ConduitNov 14 2012, 9:39 PM

(In reply to comment #5)

(In reply to comment #3)
> Sewikimedia is completely out of the question here, based on bug 14665.

I re-read the bug entirely and I don't see any request to change bureaucrat
config. As it's a chapter wiki, anyway, it will be trivial for the board or
president to confirm the need for it with another bug of course.

Okay you're probably right, let's treat it like the others.

> Also, the shell user considering this request should take into account the bug
> creator's ideas

????

Basically I think that because you disagree with any bureaucrats being able to remove sysop/bureaucrat (not just on wikis which don't have consensus for it), this should be taken into consideration before deploying the change.

That's not to say it shouldn't be done, because it probably should (once the communities have been notified and the relevant bugs - bug 13853, bug 14568, bug 14665 commented on).

Dereckson added a comment.Via ConduitNov 14 2012, 10:28 PM

[ -shell +shellpolicy following en.wiktionary objection ]

Nemo_bis added a comment.Via ConduitNov 14 2012, 10:35 PM

(In reply to comment #6)

That's not to say it shouldn't be done, because it probably should [...]

(In reply to comment #7)

[ -shell +shellpolicy following en.wiktionary objection ]

Dereckson, please open separate bugs for each wiki if they are able to link proper consensus on the matter.

Dereckson added a comment.Via ConduitNov 14 2012, 10:48 PM

(In reply to comment #7)
> [ -shell +shellpolicy following en.wiktionary objection ]

Dereckson, please open separate bugs for each wiki if they are able to link
proper consensus on the matter.

I beg to differ. Grandfathering should apply here. The correct configuration request workflow didn't impose especially a bug in the past. This is the current best practice, not the older one.

Nemo_bis added a comment.Via ConduitNov 14 2012, 10:51 PM

As noted by others, this bug is correct; I split each wiki to its bug as of course we need local consensus URL for such rights to be assigned to user groups.
-shellpolicy +dependencies

Aklapper added a comment.Via ConduitNov 15 2012, 8:50 AM

(In reply to comment #10)

I split each wiki to its bug as of course we need local consensus URL

I don't see how the latter requires the first. :)

Nemo_bis added a comment.Via ConduitNov 15 2012, 9:05 AM

(In reply to comment #11)

(In reply to comment #10)
> I split each wiki to its bug as of course we need local consensus URL

I don't see how the latter requires the first. :)

Because we have only one URL field. ;-)
It's way clearer to track this way and how shell requests are usually handled, that's it.

Zache added a comment.Via ConduitNov 15 2012, 10:46 AM

So far in fiwiki.

Discussion is ongoing in village pump of policy and should go least two weeks or so to get proper opinion of the community. However there was already short discussion in the village pump of policy about the bureaucrat rights in April 2012.

Summary of that discussion was that we got right to remove users from sysop and bureaucrat groups by a chance without any notification or request for it. However the right of remove users from sysop and bureaucrat groups has been useful and there hasn't been any problems with it. Nobody in that discussion (or so far in the current discussion either) wanted to remove those rights.

Ainali added a comment.Via ConduitNov 26 2012, 9:24 PM

The Swedish chapter would like to keep the rights. Reasons are mentioned in https://bugzilla.wikimedia.org/show_bug.cgi?id=42459 (which might be closed as duplicate to this?).

Krenair added a comment.Via ConduitNov 26 2012, 9:26 PM

See bug 42459 - someone on the Swedish Wikimedia chapter board says that they want to keep the ability for bureaucrats to remove admins. They didn't mention bureaucrats removing bureaucrats though...

Nemo_bis added a comment.Via ConduitNov 26 2012, 9:49 PM

Update: fi.wiki and se.wikimedia told us our will but en.wikt is still waiting for a link; no.books didn't react/bother (they'll have to request it afterwards if they change their mind); ru.source is being notified now because they don't like people talking to them ;) (village pump semiprotected etc.).

Nemo_bis added a comment.Via ConduitJan 3 2013, 11:38 AM

No objections from ru.source and no.books, en.wikt held a vote: patch updated.

Dereckson added a comment.Via ConduitJan 4 2013, 6:35 PM

(In reply to comment #18)

No objections from ru.source and no.books, en.wikt held a vote: patch
updated.

Please raise again the issue on ru.source (especially there: their village pump is active), maybe directly in Russian (we have a lot of Russians users involved in Wikipedia) and no.books.

Or let the situation as it's currently for these two wikis.

And finally, ask se.wikimedia if they want or not to be able to debureaucrat.

[ Bug assigned to change submitter. +shellpolicy ]

Aklapper added a comment.Via ConduitFeb 6 2013, 2:31 PM

(In reply to comment #19)

Please raise again the issue on ru.source (especially there: their village
pump is active), maybe directly in Russian (we have a lot of Russians
users involved in Wikipedia) and no.books.

Or let the situation as it's currently for these two wikis.

And finally, ask se.wikimedia if they want or not to be able to debureaucrat.

Has anybody had the time to do this?

tomasz added a comment.Via ConduitMay 14 2013, 8:58 PM

[Removed the 'patch-in-gerrit' keyword since the patch was abandoned, changed status from 'ASSIGNED' to 'NEW' due to the lack of an assignee.]

Krenair added a comment.Via ConduitJul 24 2013, 1:09 AM

(In reply to comment #19)

Please raise again the issue on ru.source (especially there: their village
pump
is active), maybe directly in Russian (we have a lot of Russians users
involved
in Wikipedia) and no.books.

Or let the situation as it's currently for these two wikis.

And finally, ask se.wikimedia if they want or not to be able to debureaucrat.

Has this been done yet?

Krenair added a comment.Via ConduitJul 24 2013, 1:13 AM

Also what's going to happen about nowikibooks? Doesn't look like there was any reply...

TTO added a comment.Via ConduitJan 9 2014, 8:35 AM

(In reply to comment #23)

Also what's going to happen about nowikibooks? Doesn't look like there was
any
reply...

There is very little activity on nowikibooks. Dereckson's post of November 2012 is still where he left it, with no replies, and no other human has posted on the community portal since.

Personally, I would just remove the right from nowikibooks. It's clear that they are not going to be needing it for the foreseeable future anyway: the only bureaucrat has not edited since 2007.

Peachey88 added a comment.Via ConduitJan 9 2014, 8:50 AM

Is there a link to the changeset that changed these rights to begin with?

TTO added a comment.Via ConduitJan 9 2014, 10:04 AM

No there isn't. The rights were set up this way when the config files were first checked into Git. That's why we're here...

Withoutaname added a comment.Via ConduitJun 13 2014, 7:00 AM

All dependent bugs have been resolved; is there anything else left to do here?

TTO added a comment.Via ConduitJun 13 2014, 7:37 AM

(In reply to TeleComNasSprVen from comment #27)

All dependent bugs have been resolved; is there anything else left to do
here?

Yes, see comment 24 (rights to be removed from nowikibooks).

Not sure what happened with ruwikisource. Bureaucrats there still have the right to de-bureaucrat others.

I'm inclined to leave sewikimedia alone. They're an active chapter who probably like the ability to add and remove bureaucrat rights on their own wiki without needing to trouble the stewards. I've added Jan Ainali to confirm or deny this.

Ainali added a comment.Via ConduitJun 13 2014, 8:02 AM

Thanks for the notice, and yes you are right, we would like to have that ability.

gerritbot added a comment.Via ConduitJun 13 2014, 5:23 PM

Change 139428 had a related patch set uploaded by Withoutaname:
Restore defaults for nowikibooks bureaucrats

https://gerrit.wikimedia.org/r/139428

gerritbot added a comment.Via ConduitJul 3 2014, 7:40 PM

Change 139428 merged by jenkins-bot:
Restore defaults for nowikibooks bureaucrats

https://gerrit.wikimedia.org/r/139428

Trijnstel added a comment.Via ConduitOct 18 2014, 11:08 AM

(In reply to Nemo from comment #17)

Links to the mentioned notifications:
https://ru.wikisource.org/?diff=prev&oldid=942610
https://en.wiktionary.org/?diff=prev&oldid=18891550
https://no.wikibooks.org/?oldid=34191#footer

Despite these notifications it has never been done on ruwikisource, while it has been done on enwiktionary (see bug 42113) and nowikibooks eventually (this bug). Can someone please remove the admin/crat from bureaucrats on ruwikisource too?

Glaisher added a comment.Via ConduitOct 18 2014, 11:21 AM

(In reply to Trijnstel from comment #32)

(In reply to Nemo from comment #17)
> Links to the mentioned notifications:
> https://ru.wikisource.org/?diff=prev&oldid=942610
> https://en.wiktionary.org/?diff=prev&oldid=18891550
> https://no.wikibooks.org/?oldid=34191#footer

Despite these notifications it has never been done on ruwikisource, while it
has been done on enwiktionary (see bug 42113) and nowikibooks eventually
(this bug). Can someone please remove the admin/crat from bureaucrats on
ruwikisource too?

That was in 2012 and the post was in English. There is an active community at ruWS now so it might be useful to post about it again.

Trijnstel added a comment.Via ConduitNov 19 2014, 3:14 PM

(In reply to Glaisher from comment #33)

(In reply to Trijnstel from comment #32)
> (In reply to Nemo from comment #17)
> > Links to the mentioned notifications:
> > https://ru.wikisource.org/?diff=prev&oldid=942610
> > https://en.wiktionary.org/?diff=prev&oldid=18891550
> > https://no.wikibooks.org/?oldid=34191#footer
>
> Despite these notifications it has never been done on ruwikisource, while it
> has been done on enwiktionary (see bug 42113) and nowikibooks eventually
> (this bug). Can someone please remove the admin/crat from bureaucrats on
> ruwikisource too?

That was in 2012 and the post was in English. There is an active community
at ruWS now so it might be useful to post about it again.

Done: https://ru.wikisource.org/?diff=prev&oldid=1312067

Snowolf added a subscriber: Snowolf.Via WebNov 24 2014, 4:40 PM
Rschen7754 added a subscriber: Rschen7754.Via WebNov 25 2014, 5:37 AM
Glaisher edited projects, added Shell; removed Community-consensus-needed.Via WebNov 27 2014, 3:31 PM
Glaisher set Security to None.
Glaisher added a comment.Via WebNov 27 2014, 4:03 PM

No objections after a week. (with translations)
No SWAT today unfortunately..https://gerrit.wikimedia.org/r/#/c/176287/

gerritbot added a project: Patch-For-Review.Via ConduitNov 27 2014, 5:00 PM

Change 176287 had a related patch set uploaded (by Revi):
Restore default configuration for ruwikisource bureaucrats

https://gerrit.wikimedia.org/r/176287

Patch-For-Review

Revi assigned this task to Glaisher.Via WebNov 27 2014, 5:04 PM
Revi added a subscriber: Revi.

Even though gerritbot says patch is by me, actual patch is by @Glaisher. Assigning to him.

gerritbot added a comment.Via ConduitDec 1 2014, 4:02 PM

Change 176287 merged by jenkins-bot:
Restore default configuration for ruwikisource bureaucrats

https://gerrit.wikimedia.org/r/176287

Glaisher closed this task as "Resolved".Via WebDec 1 2014, 4:07 PM

SWAT today \o/

Add Comment